/**
 * @syntax var req = new XMLHttpRequest();
 */
function XMLHttpRequest() {
}
/**
 * @returns {Boolean}
 */
XMLHttpRequest.prototype.withCredentials;

/**
 * @syntax xmlHttpRequest.getAllResponseHeaders()
 * @returns {String}
 */
XMLHttpRequest.prototype.getAllResponseHeaders = function() {};

/**
 * @syntax xmlHttpRequest.send(string)
 * @param {String} string
 * @returns {undefined}
 */
XMLHttpRequest.prototype.send = function(string) {};

/**
 * @returns {Function}
 */
XMLHttpRequest.prototype.onreadystatechange;

/**
 * @returns {Number}
 */
XMLHttpRequest.prototype.status;

/**
 * @returns {Document}
 */
XMLHttpRequest.prototype.responseXML;

/**
 * @returns {String}
 */
XMLHttpRequest.prototype.statusText;

/**
 * @returns {Number}
 */
XMLHttpRequest.prototype.readyState;

/**
 * @returns {String}
 */
XMLHttpRequest.prototype.responseText;

/**
 * @syntax xmlHttpRequest.overrideMimeType()
 * @param {String} 
 * @returns {undefined}
 */
XMLHttpRequest.prototype.overrideMimeType = function() {};

/**
 * @returns {XMLHttpRequestUpload}
 */
XMLHttpRequest.prototype.upload;

/**
 * @returns {undefined}
 */
XMLHttpRequest.prototype.response;

/**
 * @syntax xmlHttpRequest.open(method,url,async,uname,pswd)
 * @param {String} method
 * @param {String} url
 * @param {Boolean} async
 * @param {String} uname
 * @param {String} pswd
 * @returns {undefined}
 */
XMLHttpRequest.prototype.open = function(method, url, async, uname, pswd) {};

/**
 * @syntax xmlHttpRequest.getResponseHeader()
 * @param {String} 
 * @returns {String}
 */
XMLHttpRequest.prototype.getResponseHeader = function() {};

/**
 * @syntax xmlHttpRequest.setRequestHeader()
 * @param {String} 
 * @returns {undefined}
 */
XMLHttpRequest.prototype.setRequestHeader = function() {};

/**
 * @returns {XMLHttpRequestResponseType}
 */
XMLHttpRequest.prototype.responseType;

/**
 * @returns {Number}
 */
XMLHttpRequest.prototype.timeout;

/**
 * @syntax xmlHttpRequest.abort()
 * @returns {undefined}
 */
XMLHttpRequest.prototype.abort = function() {};

/**
 * Represents the XMLHttpRequest prototype object.
 * @syntax XMLHttpRequest.prototype
 * @static
 */
XMLHttpRequest.prototype;

